xfs
[Top] [All Lists]

Re: Problems building xfsprogs

To: Christoph Hellwig <hch@xxxxxxxxxxxxx>
Subject: Re: Problems building xfsprogs
From: "Ted Ts'o" <tytso@xxxxxxx>
Date: Thu, 21 Jul 2011 18:57:38 -0400
Cc: Ext4 Developers List <linux-ext4@xxxxxxxxxxxxxxx>, xfs-oss <xfs@xxxxxxxxxxx>
In-reply-to: <20110721090619.GA26263@xxxxxxxxxxxxx>
References: <20110720175918.GB17971@xxxxxxxxx> <20110721090619.GA26263@xxxxxxxxxxxxx>
User-agent: Mutt/1.5.20 (2009-06-14)
On Thu, Jul 21, 2011 at 05:06:19AM -0400, Christoph Hellwig wrote:
> 
> I works fine for me on various releases of Debian, Fedsora, RHEL and
> SLES.  But all he machines I've quickly checked seem to have an autoconf
> that can handle -I, so could you please send this pach with a proper
> signoff and description?

I figured what the core problem is.  There's a subtle and hidden
dependency in xfsprogs for an autoconf version which is 2.50 or above.
In Debian and Ubuntu, if autoconf 2.13 is installed, autoconf will try
to automatically figure out whether the configure.in requires 2.13 or
2.50 (since the autoconf maintainers didn't understand the concept of
"backwards compatibility").  Unfortunately, it got this wrong.

Using an explicit AC_PREREQ(2.50) fixes this.  I'll be sending patches
shortly....

                                                - Ted

<Prev in Thread] Current Thread [Next in Thread>